Skip to navigation

List tools

Get all available tools in the workspace.

Headers

xi-api-keystringOptional

Query parameters

searchstringOptional
If specified, the endpoint returns only tools whose names start with this string.
page_sizeintegerOptional1-100
How many documents to return at maximum. Can not exceed 100, defaults to 30.
show_only_owned_documentsbooleanOptionalDefaults to falseDeprecated

If set to true, the endpoint will return only tools owned by you (and not shared from somebody else). Deprecated: use created_by_user_id instead.

created_by_user_idstringOptional

Filter tools by creator user ID. When set, only tools created by this user are returned. Takes precedence over show_only_owned_documents. Use ‘@me’ to refer to the authenticated user.

typesenumOptional
If present, the endpoint will return only tools of the given types.
Allowed values:
sort_directionenumOptional
The direction to sort the results
Allowed values:
sort_byenumOptional
The field to sort the results by
Allowed values:
used_by_agent_idstringOptional

Filter to tools referenced by this agent’s main branch: tools attached to the agent, tools on authored workflow nodes, and tools referenced by procedures.

cursorstringOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
toolslist of objects
has_moreboolean
next_cursorstringOptional

Errors

422
Tools List Request Unprocessable Entity Error